Package com.sap.ai.sdk.core.model

# Class AiExecutionScheduleModificationRequest

java.lang.Object
com.sap.ai.sdk.core.model.AiExecutionScheduleModificationRequest

public class AiExecutionScheduleModificationRequest extends Object
Request object for changing the execution schedule

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiExecutionScheduleModificationRequest()`
  Default constructor for AiExecutionScheduleModificationRequest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AiExecutionScheduleModificationRequest`
  `configurationId(String configurationId)`
  Set the configurationId of this `AiExecutionScheduleModificationRequest` instance and return the same instance.
  `static AiExecutionScheduleModificationRequest`
  `create()`
  Create a new `AiExecutionScheduleModificationRequest` instance.
  `AiExecutionScheduleModificationRequest`
  `cron(String cron)`
  Set the cron of this `AiExecutionScheduleModificationRequest` instance and return the same instance.
  `AiExecutionScheduleModificationRequest`
  `end(OffsetDateTime end)`
  Set the end of this `AiExecutionScheduleModificationRequest` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getConfigurationId()`
  ID of the configuration
  `String`
  `getCron()`
  Cron defining the schedule to run the executions.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiExecutionScheduleModificationRequest`.
  `OffsetDateTime`
  `getEnd()`
  Timestamp, defining when the executions should stop running
  `OffsetDateTime`
  `getStart()`
  Timestamp, defining when the executions should start running periodically, defaults to now
  `AiExecutionScheduleStatus`
  `getStatus()`
  Get status
  `int`
  `hashCode()`
  `void`
  `setConfigurationId(String configurationId)`
  Set the configurationId of this `AiExecutionScheduleModificationRequest` instance.
  `void`
  `setCron(String cron)`
  Set the cron of this `AiExecutionScheduleModificationRequest` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiExecutionScheduleModificationRequest` instance.
  `void`
  `setEnd(OffsetDateTime end)`
  Set the end of this `AiExecutionScheduleModificationRequest` instance.
  `void`
  `setStart(OffsetDateTime start)`
  Set the start of this `AiExecutionScheduleModificationRequest` instance.
  `void`
  `setStatus(AiExecutionScheduleStatus status)`
  Set the status of this `AiExecutionScheduleModificationRequest` instance.
  `AiExecutionScheduleModificationRequest`
  `start(OffsetDateTime start)`
  Set the start of this `AiExecutionScheduleModificationRequest` instance and return the same instance.
  `AiExecutionScheduleModificationRequest`
  `status(AiExecutionScheduleStatus status)`
  Set the status of this `AiExecutionScheduleModificationRequest` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiExecutionScheduleModificationRequest` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiExecutionScheduleModificationRequest

    protected AiExecutionScheduleModificationRequest()
    Default constructor for AiExecutionScheduleModificationRequest.

- ## Method Details

  - ### cron

    @Nonnull public AiExecutionScheduleModificationRequest cron(@Nullable String cron)
    Set the cron of this `AiExecutionScheduleModificationRequest` instance and return the same instance.
    Parameters:
      `cron` - Cron defining the schedule to run the executions.
    Returns:
      The same instance of this `AiExecutionScheduleModificationRequest` class

  - ### getCron

    @Nonnull public String getCron()
    Cron defining the schedule to run the executions.
    Returns:
      cron The cron of this `AiExecutionScheduleModificationRequest` instance.

  - ### setCron

    public void setCron(@Nullable String cron)
    Set the cron of this `AiExecutionScheduleModificationRequest` instance.
    Parameters:
      `cron` - Cron defining the schedule to run the executions.

  - ### start

    @Nonnull public AiExecutionScheduleModificationRequest start(@Nullable OffsetDateTime start)
    Set the start of this `AiExecutionScheduleModificationRequest` instance and return the same instance.
    Parameters:
      `start` - Timestamp, defining when the executions should start running periodically, defaults to now
    Returns:
      The same instance of this `AiExecutionScheduleModificationRequest` class

  - ### getStart

    @Nonnull public OffsetDateTime getStart()
    Timestamp, defining when the executions should start running periodically, defaults to now
    Returns:
      start The start of this `AiExecutionScheduleModificationRequest` instance.

  - ### setStart

    public void setStart(@Nullable OffsetDateTime start)
    Set the start of this `AiExecutionScheduleModificationRequest` instance.
    Parameters:
      `start` - Timestamp, defining when the executions should start running periodically, defaults to now

  - ### end

    @Nonnull public AiExecutionScheduleModificationRequest end(@Nullable OffsetDateTime end)
    Set the end of this `AiExecutionScheduleModificationRequest` instance and return the same instance.
    Parameters:
      `end` - Timestamp, defining when the executions should stop running
    Returns:
      The same instance of this `AiExecutionScheduleModificationRequest` class

  - ### getEnd

    @Nonnull public OffsetDateTime getEnd()
    Timestamp, defining when the executions should stop running
    Returns:
      end The end of this `AiExecutionScheduleModificationRequest` instance.

  - ### setEnd

    public void setEnd(@Nullable OffsetDateTime end)
    Set the end of this `AiExecutionScheduleModificationRequest` instance.
    Parameters:
      `end` - Timestamp, defining when the executions should stop running

  - ### configurationId

    @Nonnull public AiExecutionScheduleModificationRequest configurationId(@Nullable String configurationId)
    Set the configurationId of this `AiExecutionScheduleModificationRequest` instance and return the same instance.
    Parameters:
      `configurationId` - ID of the configuration
    Returns:
      The same instance of this `AiExecutionScheduleModificationRequest` class

  - ### getConfigurationId

    @Nonnull public String getConfigurationId()
    ID of the configuration
    Returns:
      configurationId The configurationId of this `AiExecutionScheduleModificationRequest` instance.

  - ### setConfigurationId

    public void setConfigurationId(@Nullable String configurationId)
    Set the configurationId of this `AiExecutionScheduleModificationRequest` instance.
    Parameters:
      `configurationId` - ID of the configuration

  - ### status

    @Nonnull public AiExecutionScheduleModificationRequest status(@Nullable AiExecutionScheduleStatus status)
    Set the status of this `AiExecutionScheduleModificationRequest` instance and return the same instance.
    Parameters:
      `status` - The status of this `AiExecutionScheduleModificationRequest`
    Returns:
      The same instance of this `AiExecutionScheduleModificationRequest` class

  - ### getStatus

    @Nonnull public AiExecutionScheduleStatus getStatus()
    Get status
    Returns:
      status The status of this `AiExecutionScheduleModificationRequest` instance.

  - ### setStatus

    public void setStatus(@Nullable AiExecutionScheduleStatus status)
    Set the status of this `AiExecutionScheduleModificationRequest` instance.
    Parameters:
      `status` - The status of this `AiExecutionScheduleModificationRequest`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiExecutionScheduleModificationRequest`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiExecutionScheduleModificationRequest` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiExecutionScheduleModificationRequest` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiExecutionScheduleModificationRequest` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiExecutionScheduleModificationRequest create()
    Create a new `AiExecutionScheduleModificationRequest` instance. No arguments are required.